Bug 624167 - grub install corrupted on new kernel install
grub install corrupted on new kernel install
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 18:00 EDT by Orion Poplawski
Modified: 2012-05-15 14:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-15 14:45:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2010-08-13 18:00:30 EDT
Description of problem:

Running with /boot on raid1 array:

/dev/md0 on /boot type ext3 (rw)

md0 : active raid1 sdb1[1] sda1[0]
      128384 blocks [2/2] [UU]

On install of new kernel, the system will fail to boot - stuck on blank screen.  I need to boot the rescue image and re-run grub-install (on /dev/sds since that is what the boot disk shows up as in the rescue system).

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Additional info:

grub> find /grub/stage1
find /grub/stage1
 (hd0,0)
Floating point exception
Comment 1 Brian Lane 2011-10-21 19:15:50 EDT
Does this still happen with the most recent release of RHEL5?

Note You need to log in before you can comment on or make changes to this bug.